/* ------------ buttons style ------------ */
.btn a {
    background-color: var(--c-primario) !important;
    color: var(--c-blanco) !important;
    font-family: var(--font-primary);
    text-transform: uppercase;
    border-radius: 6px;
    font-size: 1.0625rem;
    font-weight: 400;
    text-decoration: none;
    text-transform: uppercase;
    padding: 12px 30px;
    border-radius: 200px;
    display: inline-block;
    transition: all 0.35s;
    border: none;
    position: relative;
    z-index: 0;
    overflow: hidden;

    &::after {
        content: '';
        background: var(--c-secundario);
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        margin: auto;
        width: 0;
        height: 100%;
        z-index: -1;
        transition: all 0.35s ease;
    }

    &:hover {
        &::after {
            width: 100%;
        }
    }
}

.btn-vrd a,
a.btn-vrd {
    background-color: var(--c-secundario) !important;
    color: var(--c-blanco) !important;
    font-family: var(--font-primary);
    text-transform: uppercase;
    border-radius: 6px;
    font-size: 1.0625rem;
    font-weight: 400;
    text-decoration: none;
    text-transform: uppercase;
    padding: 12px 30px;
    border-radius: 200px;
    display: inline-block;
    transition: all 0.35s;
    border: none;
    position: relative;
    z-index: 0;
    overflow: hidden;

    &::after {
        content: '';
        background: var(--c-primario);
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        margin: auto;
        width: 0;
        height: 100%;
        z-index: -1;
        transition: all 0.35s ease;
    }

    &:hover {
        &::after {
            width: 100%;
        }
    }
}

